点击查看详细介绍

根据当前WCS的方向和原点,创建螺栓的简单代码,用于新手参考学习

nxopen 6月前 532 9

UG NX 二次开发 技术交流 qq群:641226372      UG二次开发(C、C#、WPF)


20210408220429.jpg


    //获得WCS的Z方向矢量,始终在WCS的Z方向创建圆柱体
    tag_t wcsId = NULL_TAG;
    UF_CSYS_ask_wcs(&wcsId);    //获得WCS的TAG

    //获得WCS的坐标信息(矩阵ID,原点位置)
    tag_t matrix_id=NULL_TAG;
    double csys_origin[3]={0.0};
    UF_CSYS_ask_csys_info(wcsId, &matrix_id, csys_origin);

    //获得矩阵的值
    double matrix_values[9] = { 0.0 };
    UF_CSYS_ask_matrix_values(matrix_id, matrix_values);

    double v1[3] = { 0,0,1 };   //矢量方向,应该根据WCS的Z方向创建
    UF_MTX3_z_vec(matrix_values, v1);   //得到矩阵中的Z方向

    //创建第一个圆柱
    UF_FEATURE_SIGN cy1 = UF_NULLSIGN;
    //double origin1[3] = { 0.0,0.0,0.0 };   //WCS坐标点
    //UF_CSYS_map_point(UF_CSYS_ROOT_WCS_COORDS, origin1, UF_CSYS_WORK_COORDS, origin1);// 绝对坐标系转工作坐标系
    char* H1 = "20";   //高度
    char* D1 = "10";   //直径
    tag_t cy1TAG = NULL_TAG;
    UF_MODL_create_cyl1(cy1, csys_origin, H1, D1, v1, &cy1TAG);

    //得到第一个圆柱体的TAG
    tag_t bodyTag1 = NULL_TAG;
    UF_MODL_ask_feat_body(cy1TAG, &bodyTag1);

●●●请先 登陆注册 后查看●●●

    //得到槽的圆柱体的TAG
    tag_t bodyTag2 = NULL_TAG;;
    UF_MODL_ask_feat_body(cy4TAG, &bodyTag2);
   
    //两个圆柱再求差,不保留目标体、工具体
    int num_result = 0;
    tag_p_t resulting_bodies = NULL;
    UF_MODL_subtract_bodies(bodyTag1, bodyTag2, &num_result, &resulting_bodies);


0

最新回复 (9)
  • 俊奕 VIP会员 6月前
    1

    学习学习了解一下,内孔那里是不是也可以加个倒角

  • 卢尚宇 VIP会员 6月前
    2

    飒~飒~飒~露个脸

  • zhong 5月前
    3

    谢-谢-分-享!

  • ws395409470 5月前
    4

    飒~飒~飒~露个脸

  • cad666 5月前
    5

    谢-谢-分-享!

  • pangyeyi VIP会员 1月前
    6

    学习下相对坐标,就想学这个

  • enricyx VIP会员 1月前
    7

    这相当于是一个参数化螺栓的方法啊,赞一个。。。。。。

  • hades 1月前
    8

    这相当于是一个参数化螺栓的方法啊,赞一个。。。。。。,学习下

  • 粒粒橙 13天前
    9

    这相当于是一个参数化螺栓的方法啊,赞一个。。。。。。,学习下

请登录后发表新帖